Bug 1590979 (CVE-2018-12893)

Summary: CVE-2018-12893 xen: x86 DB exception safety check can be triggered by a guest (XSA-265)
Product: [Other] Security Response Reporter: Laura Pardo <lpardo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: ailan, drjones, imammedo, jforbes, knoel, m.a.young, mrezanin, pbonzini, rkrcmar, robinlee.sysu, security-response-team, vkuznets, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20180627:2100,reported=20180613,source=xen,cvss3=6.5/CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:C/C:N/I:N/A:H,cwe=CWE-266,fedora-all/xen=affected,rhel-5/xen=notaffected
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-06-28 09:31:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1595958    
Bug Blocks: 1590980    

Description Laura Pardo 2018-06-13 20:28:33 UTC
ISSUE DESCRIPTION
=================

One of the fixes in XSA-260 added some safety checks to help prevent Xen
livelocking with debug exceptions. Unfortunately, due to an oversight, at
least one of these safety checks can be triggered by a guest.

IMPACT
======

A malicious PV guest can crash Xen, leading to a Denial of Service.

VULNERABLE SYSTEMS
==================

All Xen systems which have applied the XSA-260 fix are vulnerable.

Only x86 systems are vulnerable. ARM systems are not vulnerable.

Only x86 PV guests can exploit the vulnerability. x86 HVM and PVH
guests cannot exploit the vulnerability.

An attacker needs to be able to control hardware debugging facilities to
exploit the vulnerability, but such permissions are typically available
to unprivileged users.

MITIGATION
==========

Running only x86 HVM or PVH guests will avoid the vulnerability.

Comment 1 Laura Pardo 2018-06-27 22:10:05 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1595958]

Comment 2 Petr Matousek 2018-06-28 09:30:42 UTC
Acknowledgments:

Name: the Xen project
Upstream: Andrew Cooper (Citrix)